com.sun.jna.platform.win32

## Class OaIdl.LIBFLAGS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.LIBFLAGS

Direct Known Subclasses:
  OaIdl.LIBFLAGS.ByReference

Enclosing interface:
  OaIdl

    public static class OaIdl.LIBFLAGS
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `OaIdl.LIBFLAGS.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`static java.util.List<java.lang.String>` `FIELDS`
`static int` `LIBFLAG_FCONTROL`
`static int` `LIBFLAG_FHASDISKIMAGE`
`static int` `LIBFLAG_FHIDDEN`
`static int` `LIBFLAG_FRESTRICTED`
`int` `value`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`LIBFLAGS()`
`LIBFLAGS(int value)`
`LIBFLAGS(Pointer pointer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELDS

    public static final java.util.List<java.lang.String> FIELDS

#### value

    public int value

#### LIBFLAG_FRESTRICTED

    public static final int LIBFLAG_FRESTRICTED

See Also:
  Constant Field Values

#### LIBFLAG_FCONTROL

    public static final int LIBFLAG_FCONTROL

See Also:
  Constant Field Values

#### LIBFLAG_FHIDDEN

    public static final int LIBFLAG_FHIDDEN

See Also:
  Constant Field Values

#### LIBFLAG_FHASDISKIMAGE

    public static final int LIBFLAG_FHASDISKIMAGE

See Also:
  Constant Field Values

### Constructor Detail

#### LIBFLAGS

    public LIBFLAGS()

#### LIBFLAGS

    public LIBFLAGS(int value)

#### LIBFLAGS

    public LIBFLAGS(Pointer pointer)

### Method Detail

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.